# frozen_string_literal: true

# app/hermes/models/concerns/common_field.rb
# app/controllers/concerns/test_concern.rb

module Hermes
  module Concerns
    module SopraXmlSender
      extend ActiveSupport::Concern

      included do
      
        field :last_xml_validation_report, type: String
        field :last_send_has_error, type: Boolean
        field :last_error_responses, type: Array, default: []
        
        def add_error (error)
          errors =last_error_responses.unshift({date:DateTime.current, error: error})
          self.set(last_error_responses: errors[0...4],last_send_has_error:true, updated_at: DateTime.current)
        end
      end
    end
  end
end
